Customer Trust
List questionnaire responses
List the responses on a questionnaire. Each response carries its
answerPartsSchema and answerPartsValues, which describe the parts an
answer is composed of and their current values.
GET
/
customer-trust
/
questionnaires
/
{questionnaireId}
/
responses
List questionnaire responses
curl --request GET \
--url https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "000000000000000000000001",
"question": "Do you encrypt customer data at rest?",
"isPendingAnswerGeneration": false,
"answerPartsSchema": {
"type": "object",
"properties": {
"explanation": {
"type": "string",
"title": "Explanation"
}
}
},
"answerPartsValues": {
"explanation": "Yes, we encrypt all customer data at rest with AES-256."
},
"ownerAssignment": {
"type": "User",
"id": "000000000000000000000002",
"displayName": "Jane Doe"
}
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "000000000000000000000001",
"endCursor": "000000000000000000000001"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Filter responses by question text (case-insensitive, partial match).
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List questionnaire responses
